/*

    client.h - NetCrack Official Client 1.0

    Copyright 2009 Salvatore Fresta aka drosophila

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

    http://www.gnu.org/licenses/gpl-2.0.txt

*/

#ifndef CLIENT_H
#define CLIENT_H

#define VERSION "1.0"
#define SAFE_SECONDS 60
#define MAX_HASH_LENGTH 20

typedef struct data {
	char *hash;
	char *cset;
	char *key;
	unsigned int keylen;
	unsigned int keyblock;
	unsigned int hashid;
} Data;

void *thread(void *arg);
int do_auth(int sock, char *password);
void listen_from_server(int sock);
char *split(char *in, char *delone, char *deltwo);
Data *get_data_from_ci(char *pkg);
unsigned char *base64_decode(unsigned char *data, int *size);
int string2uchar(unsigned char *in, unsigned char *out, size_t outlen);
int get_idle_time(char *display);
int get_len_by_id(int id);
int delimit_str(char *str);
int mystrcpy(char *out, char *in, size_t outlen);

#endif