/*

    pkg.c - NetCrack Official Client 1.0

    Copyright 2009 Salvatore Fresta aka drosophila

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

    http://www.gnu.org/licenses/gpl-2.0.txt

*/

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "pkg.h"
#include "socks.h"
#include "options.h"

int send_simple_packet(int sock, char *pkg) {
	
	if(!pkg) return -1;
	
	return socket_send(sock, pkg, strlen(pkg));
	
}

int send_ar_packet(int sock, char *hash, int hashlen) {
	
	int pkglen;
	char *pkg = NULL;
	
	if(!hash) return -1;
	
	pkglen = vspr(&pkg, "%s %s\n", PKG_AR, hash);
	
	socket_send(sock, pkg, pkglen);
	free(pkg);
	
	return 0;
	
}

int send_cs_packet(int sock, char *password) {
	
	int pkglen;
	char *pkg = NULL;
	
	if(!password) return -1;
	
	pkglen = vspr(&pkg, "%s %s\n", PKG_CS, password);
	
	socket_send(sock, pkg, strlen(pkg));
	free(pkg);
	
	return 0;
	
}
