/*

    options.h - NetCrack Server 1.0

    Copyright 2009 Salvatore Fresta aka drosophila

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

    http://www.gnu.org/licenses/gpl-2.0.txt

*/

#ifndef OPTIONS
#define OPTIONS

#include "server.h"

#ifdef SQL

#include <mysql/mysql.h>

#define MYSQL_SERVER "localhost"
#define MYSQL_USER   "root"
#define MYSQL_PSW    ""
#define MYSQL_DB     "netcrack"
#define MYSQL_TABLE  "hashlist"

MYSQL *do_mysql_connection(int verbose);
void do_mysql_close(MYSQL *dbsock);
Analys * get_new_hash_from_mysql(MYSQL *dbsock, int verbose);
int update_hash_on_mysql(MYSQL *dbsock, char *hash, char *psw, int found, int verbose);

#endif

#ifndef WIN32

int daemonize(void);

#endif

void usage(char *cmd);
void get_hash_id_list();
int check_hash_string(char *in, int inlen);
int vspr(char **buff, char *fmt, ...);
void print_connected_client(int num);
void print_startend_timestamp(time_t start, time_t end);

#endif
