/*

    pkg.h - NetCrack Server 1.0

    Copyright 2009 Salvatore Fresta aka drosophila

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

    http://www.gnu.org/licenses/gpl-2.0.txt

*/

#ifndef PKG_H
#define PKG_H

/* PING */
#define PKG_PING   		 "PING\n"
/* PONG */
#define PKG_PONG   		 "PONG\n"
/* ACCESS GRANTED */
#define PKG_AG 	   		 "AG\n"
/* ACCESS DENIED */
#define PKG_AD	   		 "AD\n"
/* DATA NULL */
#define PKG_DN     		 "DN\n"
/* CRACKING FAILED */
#define PKG_CF	         "CF\n"
/* BYE */
#define PKG_BYE          "BYE\n"
/* INFORMATION RECEIVED */
#define PKG_IR           "IR\n"
/* PASSWORD FOUND */
#define PKG_PF			 "PF\n"

/* AUTHENTICATION REQUEST */
#define PKG_AR     		 "AR"
/* CRACKING INFORMATION */
#define PKG_CI     		 "CI"
/* DATA */
#define PKG_DT   		 "DT"
/* CRACKING SUCCESSFULL */
#define PKG_CS	   		 "CS"

int send_ci_packet(int sock, char *hash, char *cset, unsigned int keylen, unsigned int keyblock, unsigned int hashid);
int send_data_packet(int sock, char *cset);
int send_simple_packet(int sock, char *pkg);
unsigned char *base64_encode(unsigned char *data, int *size);

#endif