/*

    server.h - NetCrack Server 1.0

    Copyright 2009 Salvatore Fresta aka drosophila

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

    http://www.gnu.org/licenses/gpl-2.0.txt

*/

#ifndef SERVER_H
#define SERVER_H

#define VERSION "1.0"
#define SECONDS_TO_PING 10
#define SECONDS_TO_INFREC 4
#define MAX_HASH_LENGTH 20
#define PASSWORD "netcrack"

typedef struct priority {
	char *key;
	struct priority *next;
} Priority;

typedef struct analys {
	char hash[MAX_HASH_LENGTH*2+1];
	char charset[16];
    unsigned int keylen;
    unsigned int hashid;
	unsigned int keyblock;
} Analys;

typedef struct clist {
	int sock;
	char ip[16];
	struct clist *next;
} Client;

int start_server(int port, int clients, int verbose);
void *thread(void *arg);
void listen_from_client(int sock, char *myip);
char *intochar(int in);
int check_auth(int sock);
Client *add_client(Client *list, int sock, char *ip);
Client *del_client(Client *list, int sock);
Priority *add_priority(Priority *plist, char *pkey);
Priority *del_priority(Priority *plist, char *pkey);
unsigned char *gennewkey(int keylen, int keyblock, unsigned char *cset, int reset);
int string2uchar(unsigned char *in, unsigned char *out, size_t outlen);
int get_len_by_id(int id);
int delimit_str(char *str);
int mystrcpy(char *out, char *in, size_t size);
int test_null_hash();

#endif
